Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy.ejb
Class DynamicIIOPStub

    java.lang.Object
      org.omg.CORBA.portable.ObjectImpl
          org.omg.CORBA_2_3.portable.ObjectImpl
              javax.rmi.CORBA.Stub
                  org.jboss.proxy.ejb.DynamicIIOPStub

All Implemented Interfaces:
  Object, Serializable

public abstract class DynamicIIOPStub
extends Stub

Dynamically generated IIOP stub classes extend this abstract superclass, which extends `javax.rmi.CORBA.Stub`. A `DynamicIIOPStub` is a local proxy of a remote object. It has methods (`invoke()`, `invokeBoolean()`, `invokeByte()`, and so on) that send an IIOP request to the server that implements the remote object, receive the reply from the server, and return the results to the caller. All of these methods take the IDL name of the operation, a `StubStrategy` instance to be used for marshalling parameters and unmarshalling the result, plus an array of operation parameters.

Version:
  $Revision: 1.5 $
Author:
  Francisco Reverbel
See Also:
  Serialized Form

Constructor Summary
`DynamicIIOPStub()` Constructs a `DynamicIIOPStub`.

Method Summary
`Object` | `invoke(String operationName, StubStrategy stubStrategy, Object[] params)` Sends a request message to the server, receives the reply from the server, and returns an `Object` result to the caller.
`boolean` | `invokeBoolean(String operationName, StubStrategy stubStrategy, Object[] params)` Sends a request message to the server, receives the reply from the server, and returns a `boolean` result to the caller.
`byte` | `invokeByte(String operationName, StubStrategy stubStrategy, Object[] params)` Sends a request message to the server, receives the reply from the server, and returns a `byte` result to the caller.
`char` | `invokeChar(String operationName, StubStrategy stubStrategy, Object[] params)` Sends a request message to the server, receives the reply from the server, and returns a `char` result to the caller.
`double` | `invokeDouble(String operationName, StubStrategy stubStrategy, Object[] params)` Sends a request message to the server, receives the reply from the server, and returns a `double` result to the caller.
`float` | `invokeFloat(String operationName, StubStrategy stubStrategy, Object[] params)` Sends a request message to the server, receives the reply from the server, and returns a `float` result to the caller.
`int` | `invokeInt(String operationName, StubStrategy stubStrategy, Object[] params)` Sends a request message to the server, receives the reply from the server, and returns an `int` result to the caller.
`long` | `invokeLong(String operationName, StubStrategy stubStrategy, Object[] params)` Sends a request message to the server, receives the reply from the server, and returns a `long` result to the caller.
`short` | `invokeShort(String operationName, StubStrategy stubStrategy, Object[] params)` Sends a request message to the server, receives the reply from the server, and returns a `short` result to the caller.

Methods inherited from class javax.rmi.CORBA.Stub
`connect, equals, hashCode, toString`

Methods inherited from class org.omg.CORBA_2_3.portable.ObjectImpl
`_get_codebase`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _ids, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynamicIIOPStub

    public DynamicIIOPStub()

  Constructs a `DynamicIIOPStub`.

Method Detail

### invoke

    public Object invoke(String operationName,
                         StubStrategy stubStrategy,
                         Object[] params)
                  throws Throwable

  Sends a request message to the server, receives the reply from the server, and returns an `Object` result to the caller.

  Throws:
    `Throwable`

### invokeBoolean

    public boolean invokeBoolean(String operationName,
                                 StubStrategy stubStrategy,
                                 Object[] params)
                          throws Throwable

  Sends a request message to the server, receives the reply from the server, and returns a `boolean` result to the caller.

  Throws:
    `Throwable`

### invokeByte

    public byte invokeByte(String operationName,
                           StubStrategy stubStrategy,
                           Object[] params)
                    throws Throwable

  Sends a request message to the server, receives the reply from the server, and returns a `byte` result to the caller.

  Throws:
    `Throwable`

### invokeChar

    public char invokeChar(String operationName,
                           StubStrategy stubStrategy,
                           Object[] params)
                    throws Throwable

  Sends a request message to the server, receives the reply from the server, and returns a `char` result to the caller.

  Throws:
    `Throwable`

### invokeShort

    public short invokeShort(String operationName,
                             StubStrategy stubStrategy,
                             Object[] params)
                      throws Throwable

  Sends a request message to the server, receives the reply from the server, and returns a `short` result to the caller.

  Throws:
    `Throwable`

### invokeInt

    public int invokeInt(String operationName,
                         StubStrategy stubStrategy,
                         Object[] params)
                  throws Throwable

  Sends a request message to the server, receives the reply from the server, and returns an `int` result to the caller.

  Throws:
    `Throwable`

### invokeLong

    public long invokeLong(String operationName,
                           StubStrategy stubStrategy,
                           Object[] params)
                    throws Throwable

  Sends a request message to the server, receives the reply from the server, and returns a `long` result to the caller.

  Throws:
    `Throwable`

### invokeFloat

    public float invokeFloat(String operationName,
                             StubStrategy stubStrategy,
                             Object[] params)
                      throws Throwable

  Sends a request message to the server, receives the reply from the server, and returns a `float` result to the caller.

  Throws:
    `Throwable`

### invokeDouble

    public double invokeDouble(String operationName,
                               StubStrategy stubStrategy,
                               Object[] params)
                        throws Throwable

  Sends a request message to the server, receives the reply from the server, and returns a `double` result to the caller.

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.